Skip to main content

Create Lease: Rent Manager

POSThttps://api.propexo.com/v1/leases/rentmanager/
Method
POST /Leases
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    resident_idstringrequired

    The Propexo unique identifier for the resident

    unit_idstringrequired

    The Propexo unique identifier for the unit

    property_idstring

    The Propexo unique identifier for the property

    start_datestring<date-time>

    The start date associated with the lease

    end_datestring<date-time>

    The end date associated with the lease

    scheduled_move_out_datestring<date-time>

    The scheduled move-out date associated with the lease

    realized_move_in_datestring<date-time>

    The move-in date associated with the lease

    realized_move_out_datestring<date-time>

    The move-out date associated with the lease

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    resident_idstringrequired

    The Propexo unique identifier for the resident

    unit_idstringrequired

    The Propexo unique identifier for the unit

    property_idstring | nullnullablerequired

    The Propexo unique identifier for the property

    start_date(string | null)<date-time>nullablerequired

    The start date associated with the lease

    end_date(string | null)<date-time>nullablerequired

    The end date associated with the lease

    scheduled_move_out_date(string | null)<date-time>nullablerequired

    The scheduled move-out date associated with the lease

    realized_move_in_date(string | null)<date-time>nullablerequired

    The move-in date associated with the lease

    realized_move_out_date(string | null)<date-time>nullablerequired

    The move-out date associated with the lease

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/leases/rentmanager/
curl -X POST https://api.propexo.com/v1/leases/rentmanager/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"resident_id": "string",
"unit_id": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"resident_id": "string",
"unit_id": "string",
"property_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"scheduled_move_out_date": "2024-07-29T15:51:28.071Z",
"realized_move_in_date": "2024-07-29T15:51:28.071Z",
"realized_move_out_date": "2024-07-29T15:51:28.071Z"
}
}